CTRLALTDEL(8)

NAMN
ctrlaltdel - ställ in funktionen för kombinationen Ctrl-Alt-Del

SYNOPSIS

ctrlaltdel hard|soft

BESKRIVNING

Baserat på en undersökning av koden linux/kernel/reboot.c är det tydligt att det finns två funktioner som stöds och som <Ctrl-Alt-Del> -sekvensen kan utföra.

hard
    Starta om datorn omedelbart utan att anropa sync(2) och utan några andra förberedelser. Detta är standardinställningen.

soft
    Få kärnan att skicka signalen SIGINT (avbrott) till init-processen (detta är alltid processen med PID 1). Om denna flagga används måste init(8)-programmet stödja denna funktion. Eftersom det nu finns flera init(8)-program i Linux-gemenskapen, bör du läsa dokumentationen för den version som du använder för närvarande.

När kommandot körs utan något argument visas den aktuella inställningen.

Funktionen för ctrlaltdel ställs vanligtvis in i filen /etc/rc.local.

FLAGGOR

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

FILER

/etc/rc.local _/etc/rc.local

UPPHOVSPERSONER

SE ÄVEN

init(8), systemd(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot ctrlaltdel ingår i paketet util-linux som kan hämtas från